ReflectionFunction::isDisabled
ReflectionFunctionAbstract
ReflectionFunction
PHP Manual

# ReflectionFunction::__toString

(PHP 5)

ReflectionFunction::__toString — To string

### Description

public string ReflectionFunction::__toString ( void )

To string.

### Parameters

This function has no parameters.

### Return Values

Returns ReflectionFunction::export()-like output for the function.

### Examples

Example #1 ReflectionFunction::__toString() example

`<?php
function title($title, $name)
{
return sprintf("%s. %s\r\n", $title, $name);
}
echo new ReflectionFunction('title');
?>`

The above example will output something similar to:

    Function [ <user> function person ] {
      @@ Command line code 1 - 1

      - Parameters [2] {
        Parameter #0 [ <required> $prefix ]
        Parameter #1 [ <required> $name ]
      }
    }

### See Also

- ReflectionFunction::export() - Exports function
- ReflectionClass::clone()
- __toString()

ReflectionFunction::isDisabled
ReflectionFunctionAbstract
ReflectionFunction
PHP Manual